org.apache.fop.pdf

## Enum PDFXMode

- java.lang.Object
- - java.lang.Enum<PDFXMode>
  - - org.apache.fop.pdf.PDFXMode

All Implemented Interfaces:
  Serializable, Comparable<PDFXMode>

    public enum PDFXMode
    extends Enum<PDFXMode>

Enum class for PDF/X modes.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DISABLED` PDF/X disabled
`PDFX_3_2003` PDF/X-3:2003 enabled
`PDFX_4`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getName()`
`static PDFXMode` `getValueOf(String s)` Returns the mode enum object given a String.
`String` `toString()`
`static PDFXMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDFXMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DISABLED

    public static final PDFXMode DISABLED

PDF/X disabled

#### PDFX_3_2003

    public static final PDFXMode PDFX_3_2003

PDF/X-3:2003 enabled

#### PDFX_4

    public static final PDFXMode PDFX_4

### Method Detail

#### values

    public static PDFXMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDFXMode c : PDFXMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDFXMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

Returns:
  the name of the enum

#### getValueOf

    public static PDFXMode getValueOf(String s)

Returns the mode enum object given a String.

Parameters:
  `s` - the string
Returns:
  the PDFAMode enum object (DISABLED will be returned if no match is found)

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<PDFXMode>`